# Created by pyp2rpm-3.3.5
%global pypi_name lark

%bcond_with check

Name:           python-%{pypi_name}
Version:        1.2.2
Release:        %mkrel 2
Summary:        a modern parsing library
Group:          Development/Python
License:        MIT
URL:            https://github.com/lark-parser/lark
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
Lark is a parsing toolkit for Python, built with a focus on ergonomics,
performance and modularity.

Lark can parse all context-free languages. To put it simply, it means that it
is capable of parsing almost any programming language out there, and to some
degree most natural languages too.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python3-lark-parser < 0.11.2-5

%description -n python3-%{pypi_name}
Lark is a parsing toolkit for Python, built with a focus on ergonomics,
performance and modularity.

Lark can parse all context-free languages. To put it simply, it means that it
is capable of parsing almost any programming language out there, and to some
degree most natural languages too.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files lark

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Sun Dec 22 2024 papoteur <papoteur> 1.2.2-2.mga10
+ Revision: 2128992
- add and use pytest

* Sat Dec 14 2024 wally <wally> 1.2.2-1.mga10
+ Revision: 2125133
- rename as python-lark
- new version 1.2.2

* Tue Dec 19 2023 papoteur <papoteur> 0.11.2-4.mga10
+ Revision: 2019481
- Mass Rebuild - Python 3.12

* Thu Mar 24 2022 umeabot <umeabot> 0.11.2-3.mga9
+ Revision: 1825034
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 0.11.2-2.mga9
+ Revision: 1783885
- rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 0.11.2-1.mga9
+ Revision: 1703398
- imported package python-lark-parser

